## org.gnu.pango
Class FontMask

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.pango.FontMask

public class FontMask
extends Flags

The bits in a PangoFontMask correspond to fields in a PangoFontDescription that have been set.

Field Summary
`static FontMask` `FAMILY`
`static FontMask` `SIZE`
`static FontMask` `STRETCH`
`static FontMask` `STYLE`
`static FontMask` `VARIANT`
`static FontMask` `WEIGHT`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`FontMask` `and(FontMask other)`
`static FontMask` `intern(int value)`
`FontMask` `or(FontMask other)`
`boolean` `test(FontMask other)`
`FontMask` `xor(FontMask other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAMILY

    public static final FontMask FAMILY

### STYLE

    public static final FontMask STYLE

### VARIANT

    public static final FontMask VARIANT

### WEIGHT

    public static final FontMask WEIGHT

### STRETCH

    public static final FontMask STRETCH

### SIZE

    public static final FontMask SIZE

Method Detail

### intern

    public static FontMask intern(int value)

### or

    public FontMask or(FontMask other)

### and

    public FontMask and(FontMask other)

### xor

    public FontMask xor(FontMask other)

### test

    public boolean test(FontMask other)